Loading...
Searching...
No Matches
DSRCodingSchemeIdentificationList::ItemStruct Struct Reference

Internal structure defining the list items. More...

## Public Member Functions

| ItemStruct (const OFString &codingSchemeDesignator)
| constructor
void | clear ()
| clear additional information

## Public Attributes

const OFString | CodingSchemeDesignator
| Coding Scheme Designator (VR=SH, type 1).
OFString | CodingSchemeRegistry
| Coding Scheme Registry (VR=LO, type 1C).
OFString | CodingSchemeUID
| Coding Scheme UID (VR=UI, type 1C).
OFString | CodingSchemeExternalID
| Coding Scheme External ID (VR=ST, type 2C).
OFString | CodingSchemeName
| Coding Scheme Name (VR=ST, type 3).
OFString | CodingSchemeVersion
| Coding Scheme Version (VR=SH, type 3).
OFString | CodingSchemeResponsibleOrganization
| Coding Scheme Responsible Organization (VR=ST, type 3).

## Detailed Description

Internal structure defining the list items.

## Constructor & Destructor Documentation

## ItemStruct()

DSRCodingSchemeIdentificationList::ItemStruct::ItemStruct | ( | const OFString & | codingSchemeDesignator | ) |

inline

constructor

Parameters

  codingSchemeDesignator | Coding Scheme Designator

References CodingSchemeDesignator, CodingSchemeExternalID, CodingSchemeName, CodingSchemeRegistry, CodingSchemeResponsibleOrganization, CodingSchemeUID, and CodingSchemeVersion.

The documentation for this struct was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrcsidl.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0